%-------------tarea-1-------------------%

abuelo(X,Y) :- padre(X,Z), (padre(Z,Y) ; madre(Z,Y)).
abuela(X,Y) :- madre(X,Z), (padre(Z,Y) ; madre(Z,Y)).

hermano(X,Y) :- padre(P,X), padre(P,Y), madre(M,X), madre(M,Y), X \= Y.
hermana(X,Y) :- padre(P,X), padre(P,Y), madre(M,X), madre(M,Y), X \= Y.

tio(X,Y) :- hermano(X,Z), (padre(Z,Y) ; madre(Z,Y)).
tia(X,Y) :- hermana(X,Z), (padre(Z,Y) ; madre(Z,Y)).

%---------------------------------------%

padre(abraham, homer).
padre(abraham, herb).
padre(clancy, marge).
padre(clancy, patty).
padre(clancy, selma).
padre(homer, bart).
padre(homer, lisa).
padre(homer, maggie).

madre(mona, homer).
madre(jackie, marge).
madre(jackie, patty).
madre(jackie, selma).
madre(marge, bart).
madre(marge, lisa).
madre(marge, maggie).
madre(selma, ling).

%-------------tarea-2-------------------%
pais(argentina).
pais(uruguay).
pais(marruecos).
pais(estonia).

provincia(santa_cruz).

departamento(canelones).

lago(ganges).

%-------------tarea-3-------------------%
come(ramiro, carne).
come(ana, verduras).
no_come(nina, pastas).
no_come(ana, carne).

%-------------tarea-4-------------------%
%pkmn_tipo().

pkmn_tipo(pikachu, electrico).
pkmn_tipo(raichu, electrico).
pkmn_tipo(bulbasaur, hierba).
pkmn_tipo(charmander, fuego).
pkmn_tipo(charizard, fuego).

%-------------tarea-5-------------------%

viveEn(jorge, flores).
viveEn(manuel, flores).
viveEn(bernardo, flores).
viveEn(elDiablo, villa_crespo).

poeta(jorge).
poligrafo(manuel).
tahur(bernardo).

%-------------tarea-6-------------------%
honesto(roque).
honesto(ana).
honesto(cecilia).



















